<!DOCTYPE html>
<html lang="ru">
<head>
    <link rel="stylesheet" href="style.css">
    <title>Моя страница</title>
</head>
<body>
    <div class="header">
        <img id="logo" src="logo.png" alt="Логотип">
        <div id="site-name"><h1>Самый лучший сайт</h1></div>
    </div>
    <div class="main">
        <div class="nav">
            <div><b><a href="#links1">Гиперссылки</a></b></div>
            <div><b><a href="#table1">Таблица</a></b></div>
            <div><b><a href="#form1">Форма</a></b></div>
        </div>
        <div class="links">
            <a id="links1"></a>
            <h2>Ссылки</h2>
            <ol>
                <li>Абсолютная гиперссылка на главную страницу сайта example.com (<a href="http://www.example.com">Ссылка</a>).</li>
                <li>Абсолютная гиперссылка на главную страницу сайта example.com в протоколе https (<a href="https://www.example.com">Ссылка</a>).</li>
                <li>Ссылка на файл на сервере FTP без авторизации (<a href="ftp://@stepanov.ru/file.zip">Ссылка</a>)(сайта по ссылке не существует).</li>
                <li>Ссылка на файл на сервере FTP с авторизацией (<a href="ftp://user:1234@stepanov.ru/file.zip">Ссылка</a>)(сайта по ссылке не существует).</li>
                <li>Ссылка на фрагмент страницы некоторого сайта (<a href="http://www.example.com#fragment">Ссылка</a>).</li>
                <li>Ссылка на фрагмент текущей страницы (<a href="#form">Форма</a>).</li>
                <li>Ссылка с двумя параметрами в URL (<a href="http://www.example.com?parametr1=1&parametr2=2">Ссылка</a>).</li>
                <li>Список ссылок основной навигации сайта
                    <ul>
                        <li><a href="#link">Ссылки.</a></li>
                        <li><a href="#form">Форма.</a></li>
                    </ul>
                </li>
                <li>Ссылка без href (<a>Ссылка</a>).</li>
                <li>Ссылка с пустым href (<a href="">Ссылка</a>).</li>
                <li>Ссылка, по которой запрещен переход поисковикам (<a href="http://www.example.com" rel="nofollow">Ссылка</a>).</li>
                <li>Ссылка, запрещенная для индексации поисковиками (<a href="http://www.example.com" rel="noindex">Ссылка</a>).</li>
                <li>
                    <p>
                        Контекстная <a href="http://www.example.com">ссылка</a> в тексте абзаца.
                    </p>
                </li>
                <li><a href="https://yandex.ru/images/search?from=tabbar&text=котики"><img src="image1.jpg" width="200" height="150" alt="картинка1"></a>
                    <p>
                        <strong>Cсылка-изображение.</strong>
                    </p>
                </li>
                <li>
                    <img src="image2.jpg" width="400" height="400" usemap="#map_1" alt="картинка2">
                    <p><strong>Сссылка из прямоугольных и круглых областей картинки (HTML-тег map).</strong></p>
                    <map name="map_1">
                        <area shape="rect" coords="38,50,160,184" href="http://yandex.ru/search/?lr=35&clid=2261449&win=309&text=rdlhfn" alt="area1">
                        <area shape="circle" coords="287,192,73" href="https://yandex.ru/search/?text=круг&lr=35&clid=2261449&win=309&suggest_reqid=429632658159913273426195200557556&src=suggest_B" alt="area2">
                        <area shape="poly" coords="155,217,76,360,237,360" href="https://yandex.ru/search/?text=треугольник+это&lr=35&clid=2261449&win=309&suggest_reqid=429632658159913273435022781084463&src=suggest_B" alt="area3">
                    </map>
                </li>
                <li>Относительная ссылка на страницу в текущем каталоге (<a href="web1.html">Ссылка</a>)(сайта по ссылке не существует).</li>
                <li>Относительная ссылка на страницу в каталоге about (<a href="about/web1.html">Ссылка</a>)(сайта по ссылке не существует).</li>
                <li>Относительная ссылка на страницу в каталоге уровнем выше текущего (<a href="../web1.html">Ссылка</a>)(сайта по ссылке не существует).</li>
                <li>Относительная ссылка на страницу в каталоге двумя уровнями выше (<a href="../../web1.html">Ссылка</a>)(сайта по ссылке не существует).</li>
                <li>Сокращенная ссылка на главную страницу (<a href="/">Ссылка</a>)(сайта по ссылке не существует).</li>
                <li>Сокращенная ссылка на внутреннюю страницу (<a href="/inside.html">Ссылка</a>)(сайта по ссылке не существует).</li>
            </ol>
        </div>
        <div class="table">
            <a id="table1"></a>
            <h2>Таблица</h2>
            <table>
                <tr class="odd" id="tr1">
                    <td>Колонка1</td>
                    <td>Колонка2</td>
                    <td colspan="2">Колонка3</td>
                    <td>Колонка4</td>
                </tr>
                <tr class="even">
                    <td rowspan="5">Ячейка1</td>
                    <td>Ячейка2</td>
                    <td>Ячейка3</td>
                    <td>Ячейка4</td>
                    <td>Ячейка5</td>
                </tr>
                <tr class="odd">
                    <td>Ячейка6</td>
                    <td colspan="3">Ячейка7</td>
                </tr>
                <tr class="even">
                    <td colspan="2" rowspan="2">Ячейка8</td>
                    <td>Ячейка9</td>
                    <td>Ячейка10</td>
                </tr>
                <tr class="odd">
                    <td>Ячейка11</td>
                    <td>Ячейка12</td>
                </tr>
            </table>
        </div>
        <div class="form">
            <h2>Форма</h2>
            <a id="form1"></a>
            <form action="web.html">
                <label>Имя: 
                    <input name="text1">
                </label><br><br>
                
                <label>E-mail:
                    <input name="email1" type="email">
                </label><br><br>
        
                <label>Дата рождения:
                    <input name="date1" type="date" min="1920-01-01" max="2020-09-10">
                </label><br><br>
        
                Пол:<br>
                <label>Мужчина
                    <input name="radio1" type="radio" value="m" checked>
                </label><br>
                <label>Женщина
                    <input name="radio1" type="radio" value="w">
                </label><br><br>
        
                Колличество конечностей:
                <label><input name="radio2" type="radio" value="1"> 1</label>
                <label><input name="radio2" type="radio" value="2"> 2</label>
                <label><input name="radio2" type="radio" value="3"> 3</label>
                <label><input name="radio2" type="radio" value="4" checked> 4</label><br><br>
        
                <label>Сверхспособность:<br>
                    <select name="select1" size="3" multiple>
                        <option value="select1.1">бессмертие</option>
                        <option value="select1.2">прохождение сквозь стены</option>
                        <option value="select1.3">левитация</option>
                    </select>
                </label><br><br>
        
                <label>Биография:<br>
                    <textarea name="textarea1"></textarea>
                </label><br><br>
        
                <label>С контрактом ознакомлен:
                    <input name="checkbox1" type="checkbox">
                </label><br><br>
        
                <input name="button1" type="submit" value="Отправить">
        
            </form>
        </div>
    </div>    
    <div class="footer">
        <div>Подвал</div>
    </div>
</body>
</html>


